/*
 * Copyright (C) 2010 Christopher Chong, Oliver Sinnen and others.
 * 
 * This program is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 3 of the License, or 
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, see <http://www.gnu.org/licenses>.
 * 
 * Additional permission under GNU GPL version 3 section 7
 * 
 * If you modify this Program, or any covered work, by linking or 
 * combining it with Eclipse (or a modified version of that library), 
 * containing parts covered by the terms of the Eclipse Public License - v1.0, 
 * the licensors of this Program grant you additional permission to 
 * convey the resulting work. {Corresponding Source for a non-source form 
 * of such a combination shall include the source code for the parts 
 * of Eclipse used as well as that of the covered work.}
 * 
 */
package nz.ac.auckland.ptjava.internal.editors;

import nz.ac.auckland.ptjava.PTJavaPlugin;

import nz.ac.auckland.ptjava.editors.PTJavaTextTools;

import org.eclipse.core.filebuffers.IDocumentSetupParticipant;
import org.eclipse.jdt.ui.text.IJavaPartitions;
import org.eclipse.jface.text.IDocument;
/**
 * Sets up the document to be a ptjava document. Basically separates
 * the document into partitions, which happen to be the same as the
 * Java partitions.
 */
public class PTJavaDocumentSetupParticipant implements
		IDocumentSetupParticipant {

	/**
	 * The Constructor. Currently does nothing.
	 */
	public PTJavaDocumentSetupParticipant() {
		
	}
	
	/**
	 * Sets up the document to be ready for use by a text file buffer. 
	 * Current implementation sets up Java partitions.
	 * 
	 * @see org.eclipse.core.filebuffers.IDocumentSetupParticipant#setup(org.eclipse.jface.text.IDocument)
	 */
	@Override
	public void setup(IDocument document) {
		PTJavaTextTools tools= PTJavaPlugin.getDefault().getPTJavaTextTools();
		tools.setupPTJavaDocumentPartitioner(document, IJavaPartitions.JAVA_PARTITIONING);
	}
}
